{
  "name": "client",
  "version": "0.0.0",
  "scripts": {
    "dev": "vite",
    "build": "vue-tsc --noEmit && vite build && cp ./dist/index.html ../server/vbv_lernwelt/templates/vue/index.html && cp -r ./dist/static/vue ../server/vbv_lernwelt/static/",
    "build:tailwind": "tailwindcss -i tailwind.css -o ../server/vbv_lernwelt/static/css/tailwind.css --minify",
    "test": "vitest run",
    "coverage": "vitest run --coverage",
    "typecheck": "vue-tsc --noEmit -p tsconfig.vitest.json --composite false",
    "lint": "eslint . --ext .vue,.js,.jsx,.cjs,.mjs,.ts,.tsx,.cts,.mts --fix --ignore-path .gitignore",
    "tailwind": "tailwindcss -i tailwind.css -o ../server/vbv_lernwelt/static/css/tailwind.css --watch"
  },
  "dependencies": {
    "@headlessui/vue": "^1.6.4",
    "axios": "^0.26.1",
    "d3": "^7.4.4",
    "loglevel": "^1.8.0",
    "pinia": "^2.0.13",
    "underscore": "^1.13.4",
    "vue": "^3.2.31",
    "vue-i18n": "^9.1.9",
    "vue-router": "^4.0.14"
  },
  "devDependencies": {
    "@intlify/vite-plugin-vue-i18n": "^3.4.0",
    "@rollup/plugin-alias": "^3.1.9",
    "@rushstack/eslint-patch": "^1.1.0",
    "@testing-library/vue": "^6.6.0",
    "@types/d3": "^7.4.0",
    "@types/jsdom": "^16.2.14",
    "@types/node": "^16.11.26",
    "@vitejs/plugin-vue": "^2.3.1",
    "@vue/eslint-config-prettier": "^7.0.0",
    "@vue/eslint-config-typescript": "^10.0.0",
    "@vue/test-utils": "^2.0.0-rc.18",
    "@vue/tsconfig": "^0.1.3",
    "autoprefixer": "^10.4.7",
    "cypress": "^9.5.3",
    "eslint": "^8.5.0",
    "eslint-plugin-cypress": "^2.12.1",
    "eslint-plugin-vue": "^8.2.0",
    "happy-dom": "^5.3.1",
    "postcss": "^8.4.14",
    "postcss-import": "^14.1.0",
    "prettier": "^2.5.1",
    "sass": "^1.50.1",
    "sass-loader": "^12.6.0",
    "start-server-and-test": "^1.14.0",
    "tailwindcss": "^3.1.4",
    "typescript": "~4.6.3",
    "vite": "^2.9.1",
    "vitest": "^0.15.1",
    "vue-tsc": "^0.33.9"
  }
}
